%global pypi_name netjsonconfig

Name:           python-%{pypi_name}
Version:        0.5.3
Release:        6%{?dist}
Summary:        Network configuration management library based on NetJSON DeviceConfiguration

License:        GPLv3
URL:            http://netjsonconfig.openwisp.org/
Source0:        https://files.pythonhosted.org/packages/source/%(n=%{pypi_name}; echo ${n:0:1})/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch

%if 0%{?el7}
BuildRequires:  python-setuptools
%else
BuildRequires:  python2-setuptools
%endif
BuildRequires:  python2-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-devel


%description
netjsonconfig is a python library that converts NetJSON DeviceConfiguration
objects into real router configurations that can be installed on systems like
OpenWRT, LEDE or OpenWisp Firmware.


%package -n python2-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}
Requires:       python2-ipaddress
%if 0%{?el7}
Requires:       python-jinja2
%else
Requires:       python2-jinja2
%endif
Requires:       python2-jsonschema
%if 0%{?el7}
Requires:       python-six
%else
Requires:       python2-six
%endif

%description -n python2-%{pypi_name}
netjsonconfig is a python library that converts NetJSON DeviceConfiguration
objects into real router configurations that can be installed on systems like
OpenWRT, LEDE or OpenWisp Firmware.


%package -n python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}
Requires:       python%{python3_pkgversion}-jinja2
Requires:       python%{python3_pkgversion}-jsonschema
Requires:       python%{python3_pkgversion}-six

%description -n python%{python3_pkgversion}-%{pypi_name}
netjsonconfig is a python library that converts NetJSON DeviceConfiguration
objects into real router configurations that can be installed on systems like
OpenWRT, LEDE or OpenWisp Firmware.


%prep
%setup -q -n %{pypi_name}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
# tests rely on internet connection, so they will fail on Koji
#%%{__python2} runtests.py
#%%{__python3} runtests.py

# non-executable-scripts in site-packages/netjsonconfig/backends/*/templates
# are templates and the shebang is intentional, netjsonconfig will set the
# correct permissions upon usage

%files -n python2-%{pypi_name}
%license LICENSE
%doc README.rst
%{python2_sitelib}/*

%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/*
%{_bindir}/netjsonconfig

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.5.3-5
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Jan 26 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.5.3-3
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Jan 03 2017 Germano Massullo <germano.massullo@gmail.com> - 0.5.3-1
- First commit on Fedora's Git
